**`Madan`[NAME]** -NL- **`Madanuk2@gmail.com`[EMAILS_EMAIL]** -NL- **`07448384403`[PHONES_PHONE]** -NL- **`SUMMARY`[SUMMARY_HEADING]** -NL-  **`Senior Software Engineer`[EMPLOYER_ROLE]** with over 10+ years of experience in Full project life cycle of -NL- various web based & client server applications using Java/J2EE technologies. -NL-  Excellent team player and seeking a challenging and growth oriented position in developing -NL- applications based on J2EE specification (EJB, JSP, Servlets, XML, JDBC and J2EE Design -NL- Patterns). -NL-  Sound Knowledge in Database Programming with PL/SQL. -NL-  Strong domain knowledge of Financial Services, Telecommunications, Banking and -NL- Insurance. -NL-  Worked for the world renowned clients **`Vodafone UK`[EMPLOYER_COMPANY_NAME]** , **`Hewlett-Packard (HP)`[EMPLOYER_COMPANY_NAME]**, Standard -NL- and Poor’s(S&P), ComputerAssociates(CA), MediAssist etc -NL-  Good Experience and exposure to relational databases like Oracle and MySQL. -NL-  Well acquainted with the Software Development Life Cycle (SDLC) of applications in various -NL- models like Waterfall, Iterative and Agile. -NL-  Expertise in preparation of UML Diagrams Using Rational Rose. -NL-  Experience in Pair Programming. -NL-  Experience with Agile Extreme Programming (XP) development. -NL-  Experience in TDD, BDD. -NL-  Experience in CI/CD. -NL-  Willing to learn and adapt new challenges. Have strong interpersonal and communication -NL- skills. -NL-  Expertise in JAVA 8 programming using Core Java, JSP, Servlets, Swing, EJB, Oracle -NL- 11g, JDBC. -NL-  Expertise in various open source frameworks like Struts, Spring and Hibernate. -NL-  Experience in web technologies like AJAX, HTML, DHTML, CSS, XML, JQUERY, JSON, -NL- Angular and JavaScript. -NL-  Expertise in back-end procedure development for Database Applications using Oracle, SQL -NL- and PL/SQL, MySQL and SQL Server. -NL-  Expertise in Rational Rose, Object Oriented Methodology and UML, J2EE Design Patterns, -NL- MVC Framework, web services, SOA architecture. -NL-  Expertise in working with Applications Servers like IBM WebSphere 6.1, BEA Web logic 10, -NL- JBoss 5.0 and Web Servers like Apache Tomcat 8.0.26. -NL-  Experience in developing applications using IDEs like Eclipse, NetBeans and JBuilder. -NL-  Expertise in working with automated build tools such as Jenkins, Apache Ant and Maven. -NL-  Expertise in Unit testing, Integration testing, Smoke testing & System testing. -NL-  Have strong Database skills including database design and tuning the SQL query in Oracle, -NL- MySQL and MSSQL Server. -NL-  Good experience on working with Amazon Web Services like Amazon EC2, Amazon S3, -NL- Amazon RDS , Amazon Elastic Load Balancing, Amazon SQS , AWS Identity and -NL- access management, AWS Cloud Watch, Amazon EBS. -NL-  Experience in developing Microservices using Spring Boot, Netflix OSS (Eureka) and -NL- followed domain driven design. -NL-  Have a strong technical and leadership skills to lead the team. -NL-  Involved in client coordination and preparation of design specifications. -NL-  Expertise in object Oriented analysis and design concepts. Hands on experience in -NL- designing and developing server components. -NL-  Expertise in identifying the use case, providing estimation for use cases and writing test -NL- cases for use case. -NL-  Have excellent Analytical, Problem solving and communications skills. -NL-  Highly proficient in understanding new technologies and adept at building strong working -NL- relationships with coworkers and management. -NL- 1 | P a g e -NL- **`Madan`[NAME]** -NL- **`Madanuk2@gmail.com`[EMAILS_EMAIL]** -NL- **`07448384403`[PHONES_PHONE]** -NL- **`PROFESSIONAL CERTIFICATIONS`[OTHERS_HEADING]** -NL-  Sun Certified Java programmer -NL-  Sun Certified Web Component Developer -NL- **`Professional Summary`[OTHERS_HEADING]** -NL-  Presently working as a **`Senior Software Engineer`[EMPLOYER_ROLE]** at **`KJR Software Services Ltd`[EMPLOYER_COMPANY_NAME]** from -NL- Feb- -NL- 19 to till date. -NL-  Worked as a **`Senior Developer`[EMPLOYER_ROLE]** at **`CTOS Data Systems SDN BHD`[EMPLOYER_COMPANY_NAME]** from Dec-15 to Jan 19. -NL-  Worked as a **`Java Developer`[EMPLOYER_ROLE]** at **`Hewlett-Packard (HP)`[EMPLOYER_COMPANY_NAME]** through **`Mindteck Software -NL- Malaysia Sdn Bhd`[EMPLOYER_COMPANY_NAME]** from Mar-15 to Aug-15. -NL-  Worked as a **`Java Developer`[EMPLOYER_ROLE]** at TIME Dotcom Berhad through **`TechnoGrid Sdn Bhd`[EMPLOYER_COMPANY_NAME]** from -NL- Oct-14 to Jan-15. -NL-  Worked as Technology Lead at **`Vodafone UK`[EMPLOYER_COMPANY_NAME]** through **`Infosys Ltd`[EMPLOYER_COMPANY_NAME]** from Nov-10 to Jul-13. -NL-  Worked as **`Module Lead`[EMPLOYER_ROLE]** at MediAssist through **`Reliance Tech Services Private Ltd`[EMPLOYER_COMPANY_NAME]** from -NL- Sep-09 to Nov-10. -NL-  Worked as **`Senior Associate`[EMPLOYER_ROLE]** at **`Standard and Poor’s`[EMPLOYER_COMPANY_NAME]** through **`NESS Technologies (India) -NL- Private Ltd`[EMPLOYER_COMPANY_NAME]** from Dec-06 to Apr-09. -NL- **`Educational Qualification`[EDUCATION_HEADING]** -NL-  B.E (**`Electronics and Communications Engineering`[EDUCATION_COURSE]**) from **`Andhra University, India`[EDUCATION_INSTITUTE]**. -NL- **`TECHNICAL SKILLS`[SKILLS_HEADING]** -NL- Java Technologies -NL- Core Java, Servlets, JSP, JSTL, JSF, JNDI, RMI, JDBC, JMS, EJB -NL- GUI Technologies -NL- HTML, DHTML, CSS, JavaScript, AJAX, Angular, ReactJS, -NL- JQuery -NL- Web Technologies -NL- MVC Struts 2.0, Validator, Tiles, JSF -NL- Frame Works -NL- Apache Struts 1.2 & 2.0, JSF 2.0, Hibernate 4.3, -NL- Spring 2.0 & 4.x -NL- Application Servers/ Web BEA/ORACLE WebLogic 7/8.x/9.x/10.x, -NL- Servers -NL- IBM WebSphere 6.1, Apache Tomcat 5.x/6.x/7.x/8.x, -NL- JBOSS 5.0,Glassfish v2 -NL- Databases -NL- Oracle 8i/9i/10g/11g, MySQL 5.1, SQL Server 2005 -NL- IDE Tools -NL- Eclipse, MyEclipse 1.2.2, JBuilder 8.0, NetBeans 8.0, XML Spy, -NL- Toad, MYSQL Workbench -NL- Operating Systems -NL- Windows 2000/2007/XP, UNIX (Solaris, HP-UX, AIX), Sun Solaris -NL- 8.0, RedHat LINUX 7.2, Fedora 22 -NL- Languages -NL- Java, SQL, PL/SQL, WSDL 2.0, JavaScript -NL- Scripting Languages -NL- HTML 4.0, XML 1.0, Java Script, JSP 2.0, XPath, XML Schema -NL- Distributed Technologies JDBC 3.0, RMI, EJB 3.0, Servlets 2.4, Open JPA 2.1 -NL- Third Party libraries -NL- LOG4J, JDOM, ANT 1.4 -NL- Designing Tool -NL- Rational Rose 2000 -NL- Web Services -NL- SOAP, REST -NL- Cloud -NL- AWS -NL- Version Control Systems CVS, Visual Source Safe, Git and SVN -NL- Build & Deployment -NL- Maven, Ant , Jenkins -NL- Java Testing tools -NL- Junit -NL- 2 | P a g e -NL- **`Madan`[NAME]** -NL- **`Madanuk2@gmail.com`[EMAILS_EMAIL]** -NL- **`07448384403`[PHONES_PHONE]** -NL- Reporting Tools -NL- JasperServer -NL- Software Methodologies Waterfall, Iterative and Agile -NL- **`PROFESSIONAL EXPERIENCE`[WORK_EXPERIENCE_HEADING]** -NL- Client Name: **`C. Hoare & Co. Bank`[EMPLOYER_COMPANY_NAME]** -NL- Feb 2019– till date -NL- Position: **`Senior Software Engineer`[EMPLOYER_ROLE]** -NL- Project: CMS -NL- Description: -NL- Financial Institutions needs to save time, when analysing their most important customers, and the -NL- credit risk monitoring service provides this critical benefit. Fundamental value proposition on the -NL- monitoring service is that it creates and sells high quality commercial credit information at a cost -NL- that is significantly below that of reports. It also includes timely email alerts enablingfinancial -NL- institutions to easily stay on top offinancial developments of their customers. -NL- Responsibilities: -NL-  Involved in the implementation of the credit monitoring services for **`C. Hoare & Co. Bank`[EMPLOYER_COMPANY_NAME]**. -NL-  Involved in the development and unit testing of CCRIS, Litigation, CMS Web Application and -NL- Email Notification Modules. -NL-  Involved in preparing Low Level design (LLD) and High Level design (HLD) documents. -NL-  Extensively used Functional interfaces, Lambda Expressions and Stream API using Java 8. -NL-  Developed the user interface for the CMS web application using ReactJS, TypeScript, -NL- JavaScript and HTML to simplify the complexities of the application and AJAX with JQuery for -NL- better user experience. -NL-  Application was based on the Spring framework at the Web tier level to isolate each layer -NL- of the application to avoid the complexity of integration and ease of maintenance. -NL-  Generated the JPA entity classes using Hibernate Reverse Engineering feature for database -NL- interaction. -NL-  Implemented REST Microservices using spring boot using 12-factor app methodology. -NL- Deployed, Scaled, Configured, wrote manifestfile for various Microservices in PCF. -NL-  Used spring config server for centralized configuration and Jenkins for Microservices -NL- deployment. -NL-  Migrated applications from internal data center to AWS. -NL-  Installed application on AWS EC2 instances and configured the storage on S3 buckets. -NL-  Created monitors, alarms, and notifications for EC2 hosts using Cloud Watch. -NL-  Involved in writing java API for Amazon Lambda to manage some of the AWS services. -NL-  Automated the build and deployment activities by CI/CD setup. -NL-  Extensively followed extreme programming-style (XP) process for client, resulting in faster -NL- feature turnaround, and better customer responsiveness. -NL-  Followed Pair Programming and TDD development techniques for the development of this -NL- application. -NL-  Developed the application using Agile Methodology (SCRUM). -NL-  Applied Agile Test Practices SCRUM, Scripted Test Cases for Test Driven Development TDD. -NL-  Worked on agile scrum based methods for BDD. -NL- Environment: JDK 1.8, JSTL, JavaScript, AJAX, HTML, Servlet 3.0, ReactJS 16.8.0, Spring 4.x, -NL- Spring Boot 2.0, Hibernate 4.x, AWS, RESTful Web Services (JAXRS, Spring Boot), XML, Log4J, -NL- MAVEN, JUnit, JIRA 8.0, TypeScript 3.4.1, MySQL 5.1, Apache Tomcat 8.0, Spring Tool Suite(STS) -NL- 3.9.8, SVN 1.6, Agile , Fedora 29. -NL- Client Name: **`CIMB Bank `[EMPLOYER_COMPANY_NAME]**-NL- Dec 2015– Jan 2019 -NL- 3 | P a g e -NL- **`Madan`[NAME]** -NL- **`Madanuk2@gmail.com`[EMAILS_EMAIL]** -NL- **`07448384403`[PHONES_PHONE]** -NL- Position: **`Senior Developer`[EMPLOYER_ROLE]** -NL- Project: CTOS Credit Monitoring Service -NL- Description: -NL- CTOS fundamental value proposition on the monitoring service is that it creates and sells high -NL- quality commercial credit information at a cost that is significantly below that of reports. -NL- Responsibilities: -NL-  Involved in Customizing the CTOS Monitoring Services application for the CIMB Bank client. -NL-  Involved in Coding and Unit testing of SSM, CCRIS, Litigation, ETR, CMS Web Application -NL- and Email Notification Modules. -NL-  Involved in various phases of Software Development Life Cycles (SDLC) like Design, -NL- Development and testing phases, and involved in developing Use Case diagrams. -NL-  Involved in preparing Low Level design (LLD) and High Level design (HLD) documents. -NL-  Developed the application using Agile Methodology (SCRUM). -NL-  Extensively used Functional interfaces, Lambda Expressions and Stream API using Java 8. -NL-  Application was based on the Spring framework at the Web tier level to isolate each layer -NL- of the application to avoid the complexity of integration and ease of maintenance. -NL-  Developed user interface using Angular, HTML and JavaScript to simplify the complexities of -NL- the application and AJAX with JQuery for better user experience. -NL-  Enhanced the application with Spring Framework for dependency injection using the IOC -NL- feature. -NL-  Utilized the Spring AOP feature for implementing crosscutting concerns like logging and -NL- Transaction Management and separated the business logic from System Services. -NL-  Generated the JPA entity classes using Hibernate Reverse Engineering feature to interact -NL- with the database. -NL-  Implemented REST Microservices using spring boot using 12-factor app methodology. -NL- Deployed, Scaled, Configured, wrote manifestfile for various Microservices in PCF. -NL-  Used spring config server for centralized configuration and Jenkins for Microservices -NL- deployment. -NL-  Installed application on AWS EC2 instances and configured the storage on S3 buckets. -NL-  Migrated applications from internal data center to AWS. -NL-  Involved in writing java API for Amazon Lambda to manage some of the AWS services. -NL-  Created monitors, alarms, and notifications for EC2 hosts using Cloud Watch. -NL-  Followed Pair Programming and TDD development techniques for the development of this -NL- application. -NL-  Applied Agile Test Practices SCRUM, Scripted Test Cases for Test Driven Development TDD. -NL-  Worked on agile scrum based methods for BDD. -NL-  Extensively followed extreme programming-style (XP) process for client, resulting in faster -NL- feature turnaround, and better customer responsiveness. -NL-  Automated the build and deployment activities by CI/CD setup. -NL- Environment: JDK 1.8, JSTL, JavaScript, AJAX, HTML, Servlet 3.0, Angular 4.0, Spring 4.x, Spring -NL- Boot 2.0, Hibernate 4.x, AWS, RESTful Web Services (JAXRS, Spring Boot), XML, Log4J, MAVEN, -NL- JUnit, JIRA 8.0, TypeScript 3.4.1, MySQL 5.1, Apache Tomcat 8.0, Spring Tool Suite(STS) 3.9.8, SVN -NL- 1.6, Agile , Fedora 22. -NL- Client Name: **`Hewlett-Packard (HP)`[EMPLOYER_COMPANY_NAME]** -NL- Mar 2015 - Aug 2015 -NL- Position: **`Java Developer`[EMPLOYER_ROLE]** -NL- Project: ATHP Employee Portal -NL- 4 | P a g e -NL- **`Madan`[NAME]** -NL- **`Madanuk2@gmail.com`[EMAILS_EMAIL]** -NL- **`07448384403`[PHONES_PHONE]** -NL- Description: -NL- The ATHP Employee portal is the gateway to the HP intranet. It allows easy access to frequently -NL- used sites within the company to find information quickly and to connect with co-workers and -NL- other organizations within the company. HP wants to migrate this application to support both -NL- Hewlett-Packard Inc. (HPI) and Hewlett-Packard Enterprise (HPE) users as a part of HP Company -NL- split. -NL- Responsibilities: -NL-  Involved in requirement gathering and prepared design documents for Migrating the -NL- application to support HPI and HPE users. -NL-  Scheduling and Monitoring of jobs via scheduling tool Tidal. -NL-  Developed the application using Spring Framework integrated with Hibernate. -NL-  Involved in the implementation activities of any major changes. -NL-  Developed the application using Agile Methodology (SCRUM). -NL-  Defectsfixing for the issues raised by internal project teams for various releases. -NL-  Extensive unit testing offixes and defects going into Production. -NL-  Creation of builds using ANT and deployment of the Application into Weblogic -NL- application server. -NL-  Performing post-implementation reviews. -NL-  Used Git tool for Content Management. -NL- Environment: -NL- JDK 1.7, Servlets 2.4, JSP 2.0, Spring Framework 2.0, Hibernate 3.0, Weblogic10.3.5, -NL- Ant 1.4.1, Shell Scripts, AJAX, JQuery, Git, Windows 7. -NL- Client Name: TIME Dotcom -NL- Oct 2014 – Jan 2015 -NL- Position: **`Java Developer`[EMPLOYER_ROLE]** -NL- Project: ePayment -NL- Description: -NL- MiGS payment gateway has been implemented since year 2012. However, TIME portal -NL- encountered failure of return the transaction message from MiGS. The cut off time of the -NL- settlementfile of UOB send to TIME also not the same as the cut off time of TIME. These make a -NL- lot of reconciliation work need to be done by TIME. -NL- Responsibilities: -NL-  Involved in requirement gathering and Involved in preparing design documents for -NL- Migrating the existing system to new system. -NL-  Involved in developing the query DR functionality for the failure transactions to trigger back -NL- the missing transaction that suppose update back to TIME database. -NL-  Preparing the UML Diagrams Using Rational Rose. -NL- 5 | P a g e -NL- **`Madan`[NAME]** -NL- **`Madanuk2@gmail.com`[EMAILS_EMAIL]** -NL- **`07448384403`[PHONES_PHONE]** -NL-  Involved in developing Use Case diagrams. -NL-  Developed user interface using JSP, HTML and JavaScript. Used AJAX with JQuery for better -NL- user experience. -NL-  Developed the application using Spring MVC Framework to isolate each layer of the -NL- application and ease of maintenance. -NL-  Worked with Maven build scripts for compiling and building the project. -NL-  Developed JUnit test cases for testing business logic layer and worked with log4j for logging -NL- the exceptions and errors. -NL-  Used SVN tool for Content Management. -NL-  Developed the application using Agile Methodology (SCRUM). -NL-  Developed the application Using Eclipse Kepler IDE. -NL- Environment: -NL- JDK 1.6, Servlets 2.4, JSP 2.0, Spring Framework 2.0, Maven, AJAX, MySQL 5.0, SVN and Eclipse -NL- Kepler, Rational Rose 2000, Windows 7 -NL- Client Name: **`Vodafone UK `[EMPLOYER_COMPANY_NAME]**-NL- Oct 2012 – Jul 2013 -NL- Position: **`Technology Lead `[EMPLOYER_ROLE]**-NL- Project: **`Vodafone UK`[EMPLOYER_COMPANY_NAME]** Common e-Shop -NL- Description: -NL- **`Vodafone UK`[EMPLOYER_COMPANY_NAME]** Common e-Shop (VCeS) is Vodafone’s product that is designed to provide -NL- Vodafone local with a common solution is designed to sell products such as handsets, plans, -NL- mobiles internet devices, ADSL services, Accessories etc. via the Internet. **`Vodafone UK`[EMPLOYER_COMPANY_NAME]** Common -NL- e-Shop project is to deploy the VCeS application in UK Local Market by customizing tofit with the -NL- Local Market requirements. -NL- Responsibilities: -NL-  Automated the build activities using Hudson tool on various Linux cloud servers. -NL-  Doing Impact analysis and providing the “Solution Proposal Documents” to the issues. -NL-  Coding EJB components for a subset of the functionality. -NL-  Writing JSP's and Servlet's for the UI and business functionality. -NL-  Studying and analyzing the domain knowledge areas like features that can prove to be -NL- value-added to the product. -NL-  Researching ways to increase performance of the Application through use of methodologies -NL- like asynchronous calls to database, stored procedures in place of Dynamic SQL, etc. -NL-  Developing and executing the Datafix scripts to rectify the corrupted data in the database. -NL-  Providing the database changes to ensure the data integrity of the data model. -NL-  Automated the build activities using Hudson tool on various Linux cloud servers. -NL-  Integrated with Sonar tool for improving the code quality. -NL-  Used SVN tool for Content Management. -NL-  Involved in Release Management Activities. -NL- Environment: -NL- JDK 1.6, Servlets 2.4, JSP 2.0, Spring Framework 2.0, EJB 3.0, JDBC, Weblogic 10.3.5, -NL- Oracle 11g, SVN, Windows 7 -NL- Client Name: **`Vodafone UK `[EMPLOYER_COMPANY_NAME]**-NL- Jun 2011 – Sep 2012 -NL- Position: **`Technology Lead `[EMPLOYER_ROLE]**-NL- Project: Vodafone Site Search -NL- Description: -NL- 6 | P a g e -NL- **`Madan`[NAME]** -NL- **`Madanuk2@gmail.com`[EMAILS_EMAIL]** -NL- **`07448384403`[PHONES_PHONE]** -NL- Vodafone Site Search Project implements the Search functionality for the Vodafone sites i.e., Lead -NL- Market (Spain) and Participating Markets (Turkey, Ireland, Romania, Czech Rublic & Greece etc). -NL- This project is mainly to give better search experience to their customers. It displays the search -NL- results based on the keyed in search query by interacting with Google Search Appliance GSA. -NL- Responsibilities: -NL-  Involved in the implementation Search(SERP) functionality for Spain and Romania -NL- Local Markets. -NL-  Analyzing and preparing Low Level design (LLD) and High Level design (HLD) documents. -NL-  Researching ways to increase performance of the Application through use of -NL- methodologies like asynchronous calls to Google Search Appliance GSA. -NL-  Writing JSP's and servlet's for the UI and business functionality. -NL-  Automated the build activities using Hudson tool on various Linux cloud servers. -NL-  Creation of builds using ANT and deployment of the Application into Weblogic Portal -NL- server. -NL-  Integrated the application with Sonar tool for improving the code quality. -NL-  Developed JUnit test cases for testing business logic. -NL-  Used SVN Content Management tool for version control. -NL- Environment: -NL- JDK 1.6, Servlets 2.4, JSP 2.0, Spring Framework 2.0, Weblogic Portal Server, SVN, Eclipse -NL- Galileo, Windows 7 -NL- Client Name: Computer Associates (CA) -NL- Nov 2010 – May 2011 -NL- Position: **`Technology Lead `[EMPLOYER_ROLE]**-NL- Project: Eshop -NL- Description: -NL- Eshop is an application where C.A. furnishes their products to their clients. Computer -NL- Associates (C.A) need a solution to change their application from Ingres database to SQL -NL- server which fullfill their business needs. The scope of the project is the migration and -NL- enhancements of the Product Documentation core module. -NL- Responsibilities: -NL-  Involved in requirement gathering of Product Documentation Module. -NL-  Analyzing and preparing the Technical Design Documents. -NL-  Migrated the application from Ingres database to MSSQL server. -NL-  Migrated the application using Agile Methodology (SCRUM). -NL-  Worked with ANT build scripts for compiling and building the project. -NL-  Used JBoss Server for the application deployment. -NL-  Developed JUnit test cases for testing the application business logic. -NL-  Developed the application Using Eclipse Galileo IDE. -NL-  Implemented Log4J to log the exceptions and error messages. -NL-  Used SVN Content Management tool for version control. -NL- Environment: -NL- JDK 1.5, Servlets 2.4, JSP 2.0, JBoss 5.0, MSSQL Server 2005, SVN, Eclipse Galileo, Windows 2000 -NL- Client Name: MediAssist -NL- Sep 2009 – Nov 2010 -NL- Position: **`Module Lead`[EMPLOYER_ROLE]** -NL- Project: MediAssist-eZclaims -NL- 7 | P a g e -NL- **`Madan`[NAME]** -NL- **`Madanuk2@gmail.com`[EMAILS_EMAIL]** -NL- **`07448384403`[PHONES_PHONE]** -NL- Description: -NL- MediAssist (A Reliance Health Group Company) is a Third Party Administrator (TPA) in the -NL- healthcare insurance domain providing services like cashless hospitalization, reimbursement of -NL- medical claims (post-hospitalization) and many more Value Added Services to its customers. Core -NL- function of MediAssist is to coordinate between Insurance companies, Hospitals, Policy Holders -NL- (Individual/Group) andfinancial institutions to ensure smooth and hassle free transactions. The -NL- scope of the project is development of the core modules of Enrolment, Claims, Hospital -NL- Empanelment and supporting modules, CRM, Reports Web application and VAS -NL- Responsibilities: -NL-  Involved in requirement gathering and analysis of Enrolment and Claims Modules. -NL-  Preparing the UML Diagrams Using Rational Rose. -NL-  Preparing the HLD and LLD Technical Design Documents. -NL-  Involved in the implementation of Enrolment and Claims Modules. -NL-  Developed user interface using JSP, JSTL, HTML and JavaScript to simplify the complexities -NL- of the application and AJAX with JQuery for better user experience. -NL-  Used Apache Tomcat Server for deploying various components of application. -NL-  Developed the application Using Eclipse Galileo IDE. -NL-  Used Log4J to capture the logs that includes runtime exceptions. -NL-  Worked with ANT build scripts for compiling and building the project. -NL-  Developed JUnit test cases for testing business logic. -NL-  Used CVS for version control. -NL- Environment: -NL- JDK 1.5, Servlets 2.4, JSP 2.0, Spring Framework, EJB 3.0, oracle 10g, Websphere 6.1, -NL- CVS, Eclipse Galileo, Windows 2000 -NL- Client Name: **`Standard and Poor’s,`[EMPLOYER_COMPANY_NAME]** NY -NL- Jun 2008–Apr 2009 -NL- Position: Senior **`Java Developer`[EMPLOYER_ROLE]** -NL- Project: Ratings Direct 6.0 and 7.0 -NL- Description: -NL- Ratings Direct provides coverage by specific geographic regions and sectors, including -NL- Corporations, Financial Institutions, Insurance, International Public Finance, Sovereign -NL- Governments, Utilities, U.S. Public Finance, and the continually evolving world of Structured -NL- Finance with more than 17 years of ratings history. Ratings Direct offers services like Ratings -NL- Analyses, Industry Report Cards, Key Credit Factors, Peer Comparisons Timely and Topical -NL- Commentaries, Credit Faqs (Frequently Asked Questions).Ratings Direct enables you to easily -NL- track the issues and issuers you follow by creating portfolios, setting email alerts, searching by -NL- keyword or viewing real-time ratings and research on the specific sectors you track. Financial -NL- professionals around the world rely on Ratings Direct to help capitalize on investment -NL- opportunities and mitigate risk. -NL- Responsibilities: -NL-  Involved in requirement gathering and Involved in preparing design documents. -NL-  Involved in the development of New User Setup Module. -NL-  Involved in developing the EXT JS components for various modules. -NL-  Involved infixing the bugs related to various Modules. -NL-  Developed the application Using Eclipse IDE. -NL-  Used Log4J to capture the logs that includes runtime exceptions. -NL-  Worked with ANT build scripts for compiling and building the project. -NL- 8 | P a g e -NL- **`Madan`[NAME]** -NL- **`Madanuk2@gmail.com`[EMAILS_EMAIL]** -NL- **`07448384403`[PHONES_PHONE]** -NL-  Used Weblogic application server for deploying the application. -NL-  Developed JUnit test cases for testing the business logic. -NL-  Used CVS for version control. -NL- Environment: -NL- JDK 1.5, Servlets 2.4, JSP 2.0, Spring Framework, Ext JS 2.0, Oracle 10g, Weblogic 9.2.1, -NL- Eclipse 3.1, CVS, Windows 2000 -NL- Client Name: **`Standard and Poor’s`[EMPLOYER_COMPANY_NAME]**, NY -NL- Dec-2007–Jun 2008 -NL- Position: **`Java Developer`[EMPLOYER_ROLE]** -NL- Project: S&P - Arrow Global Application -NL- Description: -NL- Arrow Global Provides a centralized, global system to capture, store, analyze, forecast, and report -NL- on financial, operating, econometric, market, and other data Including (and/or integrate with) -NL- various tools and models used to forecast cashflow and earnings, predict probability of default, -NL- identify anomalous data, etc. Arrow Global Integrates with a number of other systems and -NL- databases at S&P, such as CORE and the Ratings Gateway. Arrow Global provides a centralized -NL- system and standard process for determining ratings and will replace many of the existing -NL- processes and systems currently used. -NL- Responsibilities: -NL-  Involved in developing Use Case diagrams. -NL-  Involved in the implementation of Open Analysis Template Module. -NL-  Involved in the implementation of Reference Data Service Module. -NL-  Involved infixing the bugs related to various Modules. -NL-  Developed the application Using JBuilder IDE. -NL-  Worked with ANT build scripts for compiling and building the project. -NL-  Used Weblogic application server for deploying the application. -NL-  Developed JUnit test cases for testing the business logic. -NL-  Used CVS for version control. -NL- Environment: -NL- JDK 1.5, Servlets 2.4, JSP 2.0, Spring Framework 2.0, Portlets, Hibernate 2.0, Oracle 10g, -NL- Web Services (SOAP), Weblogic 9.2.1, JBuilder 2007, CVS, Windows 2000 -NL- Client Name: **`Standard and Poor’s, NY`[EMPLOYER_COMPANY_NAME]** -NL- Jul 2007–Nov 2007 -NL- Position: **`Java Developer`[EMPLOYER_ROLE]** -NL- Project: GPS (Global Pricing System) -NL- Description: -NL- Global Pricing Systems (GPS) is a pricing tool developed by the evaluation team to incorporate the -NL- descriptive data of Telekurs Financial into pricing models driven by the trade data. Both -NL- “Integrated Evaluation System” (IES) and GPS enable the evaluation professionals to use a -NL- combination of market models and hand quotes to accurately reflect market values. Main -NL- Objective of GPS Conversion project is to migrate the existing GPS system from S &P proprietary -NL- framework, which is deployed in iPlanet Server to Struts Framework, to deploy into Weblogic -NL- 9 | P a g e -NL- **`Madan`[NAME]** -NL- **`Madanuk2@gmail.com`[EMAILS_EMAIL]** -NL- **`07448384403`[PHONES_PHONE]** -NL- Server and elimination of Threads from the web Layer by replacing with MDB’s (Message Driven -NL- Beans). -NL- Responsibilities: -NL-  Involved in preparing Low Level design (LLD) and High Level design (HLD) documents. -NL-  Involved in the implementation while converting from proprietary GPS Frame work to Struts -NL- Frame work. -NL-  Involved infixing the bugs related to various Modules. -NL-  Used Log4J to capture the logs that includes runtime exceptions. -NL-  Worked with ANT build scripts for compiling and building the project. -NL-  Used Weblogic application server for deploying the application. -NL-  Used CVS for version control. -NL- Environment: -NL- JDK 1.5, Servlets 2.4, JSP 2.0, Struts 1.3.5, Oracle 10g, Weblogic 9.2.1, Eclipse 3.1, CVS, -NL- Windows 2000 -NL- Client Name: **`Standard and Poor’s`[EMPLOYER_COMPANY_NAME]**, NY -NL- Dec 2006–Jun 2007 -NL- Position: **`Java Developer`[EMPLOYER_ROLE]** -NL- Project: UIT (Unit Investment Trust) -NL- Description: -NL- A “Unit Investment Trust," commonly referred to as a "UIT”, is one of three basic types of -NL- Investment Company. The other two types are mutual funds and closed-end funds. Standard and -NL- Poor’s an evaluator of funds, of types Municipal and Taxable. S&P UIT application is used to add -NL- Trusts, Trustees, Holdings, and Party/ Broker. UIT online application will facilitates to the end users -NL- to add new Funds/Holdings into the UIT, update the existing funds and generate the reports. UIT -NL- Batch programs will fetch Accrued Interestfiles from the trustee every day and prices the Funds. -NL- Responsibilities: -NL-  Involved in the implementation of Audit trail Report enhancement. -NL-  Involved in the development while converting from proprietary UIT Frame work to Struts -NL- Frame work. -NL-  Developed the application using SDLC Waterfall Methodology. -NL-  Involved infixing the bugs related to various Modules. -NL-  Used Log4J to capture the logs that includes runtime exceptions. -NL-  Developed JUnit test cases for testing the business logic. -NL-  Developed the application Using Eclipse IDE. -NL-  Worked with ANT build scripts for compiling and building the project. -NL-  Used Weblogic application server for deploying the application. -NL-  Used CVS for version control. -NL- Environment: -NL- JDK 1.5, Servlets 2.4, JSP 2.0, Struts 1.1, Oracle 9i, Weblogic 9.2.1, Eclipse 3.1, CVS, -NL- Windows 2000 -NL- 10 | P a g e -NL- **`Madan`[NAME]** -NL- **`Madanuk2@gmail.com`[EMAILS_EMAIL]** -NL- **`07448384403`[PHONES_PHONE]** -NL- Reference: will be provided on request. -NL- 11 | P a g e -NL- 